#version 330 core
layout (location = 0) in vec3 aPos;
layout (location = 1) in vec3 col;

uniform mat4 model;
uniform mat4 view;
uniform mat4 projection;

out vec3 frag_col;

void main()
{
    frag_col = col;
    gl_Position = projection * view * model * vec4(aPos, 1.0);
}